package com.xinelu.manage.mapper.informationcategory;

import com.xinelu.manage.domain.informationcategory.InformationCategory;

import java.util.List;


/**
 * 资讯分类Mapper接口
 *
 * @author xinyilu
 * @date 2023-02-14
 */
public interface InformationCategoryMapper {
    /**
     * 查询资讯分类
     *
     * @param id 资讯分类主键
     * @return 资讯分类
     */
    InformationCategory selectInformationCategoryById(Long id);

    /**
     * 查询资讯分类列表
     *
     * @param informationCategory 资讯分类
     * @return 资讯分类集合
     */
    List<InformationCategory> selectInformationCategoryList(InformationCategory informationCategory);

    /**
     * 新增资讯分类
     *
     * @param informationCategory 资讯分类
     * @return 结果
     */
    int insertInformationCategory(InformationCategory informationCategory);

    /**
     * 修改资讯分类
     *
     * @param informationCategory 资讯分类
     * @return 结果
     */
    int updateInformationCategory(InformationCategory informationCategory);

    /**
     * 删除资讯分类
     *
     * @param id 资讯分类主键
     * @return 结果
     */
    int deleteInformationCategoryById(Long id);

    /**
     * 批量删除资讯分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteInformationCategoryByIds(Long[] ids);

    /**
     * 批量新增资讯分类
     *
     * @param informationCategoryList 资讯分类集合
     * @return 数量
     */
    int insertInformationCategoryList(List<InformationCategory> informationCategoryList);

    /**
     * 根据分类名称查询重复分类名称
     *
     * @param categoryNameList 资讯分类名称集合
     * @return List<String>
     */
    List<String> selectInformationCategoryName(List<String> categoryNameList);


    /**
     * 根据分类名称查询重复分类名称
     *
     * @param informationCategoryName 资讯分类名称
     * @return int
     **/
    int selectInformationCategoryCount(String informationCategoryName);
}
